Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XActRelationshipDocument

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XActRelationshipDocument

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XActRelationshipDocument

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XAct Relationship Document', and utility methods for working with them. abstDomain: V11610 (C-0-D10317-V11610-cpt)

See Also:
  `CDAR2Package.getXActRelationshipDocument()`

Field Summary
`static int` | `APND` The 'APND' literal value.
`static XActRelationshipDocument` | `APND_LITERAL` The 'APND' literal object.
`static int` | `RPLC` The 'RPLC' literal value.
`static XActRelationshipDocument` | `RPLC_LITERAL` The 'RPLC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XAct Relationship Document' enumerators.
`static int` | `XFRM` The 'XFRM' literal value.
`static XActRelationshipDocument` | `XFRM_LITERAL` The 'XFRM' literal object.

Method Summary
`static XActRelationshipDocument` | `get(int value)` Returns the 'XAct Relationship Document' literal with the specified integer value.
`static XActRelationshipDocument` | `get(java.lang.String literal)` Returns the 'XAct Relationship Document' literal with the specified literal value.
`static XActRelationshipDocument` | `getByName(java.lang.String name)` Returns the 'XAct Relationship Document' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RPLC

    public static final int RPLC

  The 'RPLC' literal value.

  If the meaning of 'RPLC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RPLC_LITERAL`, Constant Field Values

### APND

    public static final int APND

  The 'APND' literal value.

  If the meaning of 'APND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `APND_LITERAL`, Constant Field Values

### XFRM

    public static final int XFRM

  The 'XFRM' literal value.

  If the meaning of 'XFRM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XFRM_LITERAL`, Constant Field Values

### RPLC_LITERAL

    public static final XActRelationshipDocument RPLC_LITERAL

  The 'RPLC' literal object.

  See Also:
    `RPLC`

### APND_LITERAL

    public static final XActRelationshipDocument APND_LITERAL

  The 'APND' literal object.

  See Also:
    `APND`

### XFRM_LITERAL

    public static final XActRelationshipDocument XFRM_LITERAL

  The 'XFRM' literal object.

  See Also:
    `XFRM`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XAct Relationship Document' enumerators.

Method Detail

### get

    public static XActRelationshipDocument get(java.lang.String literal)

  Returns the 'XAct Relationship Document' literal with the specified literal value.

### getByName

    public static XActRelationshipDocument getByName(java.lang.String name)

  Returns the 'XAct Relationship Document' literal with the specified name.

### get

    public static XActRelationshipDocument get(int value)

  Returns the 'XAct Relationship Document' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD